- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_Exe_Event_Data Struct Reference
Ecore » Ecore main loop » Process Spawning Functions

A structure that stores information of data from a child process event. More...

## Data Fields
Ecore_Exe * | exe
| The handle to the process.
void * | data
| the raw binary data from the child process that was received
int | size
| the size of this data in bytes
Ecore_Exe_Event_Data_Line * | lines
| an array of line data if line buffered, the last one has it's line member set to `NULL`

## Detailed Description

A structure that stores information of data from a child process event.

Examples:
  ecore_exe_example.c.